package fr.uca.iut.clfreville2.persistence;

import fr.uca.iut.clfreville2.model.SensorRegistry;
import fr.uca.iut.clfreville2.model.sensor.auto.RandomVariationStrategy;

public class StubSensorRegistryLoader implements SensorRegistryLoader {
    @Override
    public SensorRegistry load() {
        SensorRegistry registry = new SensorRegistry();
        registry.createManual("Sensor 1");
        registry.createManual("Sensor 2");
        registry.createAuto("Sensor 3", new RandomVariationStrategy(5));
        return registry;
    }
}
